GJTR`KMJN[LSGJTR`KMJN[LSGJTR`KMJN[LSGJTR`KMJN[LSGJTR`KMJN[LSGJTR`KMJN[LSGJTR`KMJ
]KMQ\\SP]UMY]KMQ\\SP]UMY]KMQ\\SP]UMY]KMQ\\SP]UMY]KMQ\\SP]UMY]KMQ\\SP]UMY]KMQ\\SP
ER_J]KUMS\QPER_J]KUMS\QPER_]KUMS\QPER_]KUUMS\QPER_]KUMS\QPER_]KUMSS\QPER_]KUMSS\
CQE_PSVJ^COJCQE_PSVJ^COJCQ_PSVJ^COJCQ_PSVJJ^COJCQ_PVJJ^COJCQ_PVJJ^CCOJCQ_PVJJ^CC
HTXZQDDUTZUXHTXZQDDUTZUXHXZQDDDUTZUXHXQDDDUUTZUXHXDDDUUUTZUXHXDDUUUTTZUXHXDDUUUT
EYZIHVFQ[K`CEYZIHVFQ[K`CEZIHVFFQ[K`CEZHVFFQQ[K`CEZVFFQQQ[K`CEZVFQQQ[[K`CEZVFQQQ[
EEDHYNWSMFZCEEDHYNWSMFZCEDHYNWWSMFZCEDYNWWSSMFZCEDNWWSSSMFZCEDNWSSSMMFZCEDNWSSSM
ZNFDRGB`JKZVZNFDRGB`JKZVZFDRGB`JKZVZFDRGB`JJKZVZFDGB`JJKZVZFDGB`JJKZZVZFDGB`JJKZ
NQAQLHPZQ\X`NQAQLHPZQ\X`NAQLHPZQ\X`NAQLHPZQQ\X`NAQHPZQQ\X`NAQHPZQQ\XX`NAQHPZQQ\X
VRMT^C]XN_TPVRMT^C]XN_TPVMT^C]]XN_TPVM^C]]XXN_TPVMC]]XXXN_TPVMC]XXXNN_TPVMC]XXXN
CNH^N\HYWVQMCNH^N\HYWVQMCH^N\HHYWVQMCHN\HHYYWVQMCH\HHYYYWVQMCH\HYYYWWVQMCH\HYYYW
KJ\A[RN\]WNKKJ\A[RN\]WNKK\A[RNN\]WNKK\[RNN\\]WNKK\RNN\\\]WNKK\RN\\\]]WNKK\RN\\\]
`YCILI^CE[QU`YCILI^CE[QU`YCILI^CE[QU`YCILI^CE[QU`YCILI^CE[QU`YCILI^CE[QU`YCILI^C
UBIKIDP^E[ZMUBIKIDP^E[ZMUBIKIDP^E[ZMUBIKIDP^E[ZMUBIKIDP^E[ZMUBIKIDP^E[ZMUBIKIDP^
E^\CLHAQBGEDE^\CLHAQBGEDE^\CHAQBGEDE^\CHHAQBGEDE^\HHAQBGEDE^\HHAQQBGEDE^\HHAQQBG
JYB_V_B`LP_RJYB_V_B`LP_RJYBV_B`LP_RJYBV_BB`LP_RJYB_BB`LP_RJYB_BB`LLP_RJYB_BB`LLP
NCLD`^KRCE[]NCLD`^KRCE[]NCLD`^KRCE[]NCD`^KRRCE[]NCD^KRRCCE[]NCDKRRCCCE[]NCDKRRCC
]L[\[Z`EFM[[]L[\[Z`EFM[[]L[\[Z`EFM[[]L\[Z`EEFM[[]L\Z`EEFFM[[]L\ZEEFFFM[[]L\ZEEFF
HTHE\JXLNQLGHTHE\JXLNQLGHTHE\XLNQLGHTHE\XLLNQLGHTHEXLLNQQLGHTHEXLNQQQLGHTHEXLNQQ
IZFRH[M[JHNKIZFRH[M[JHNKIZFRHM[JHNKIZFRHM[[JHNKIZFRM[[JHHNKIZFRM[JHHHNKIZFRM[JHH
]F^MEP][OOMT]F^MEP][OOMT]F^MEP][OOMT]FMEP][[OOMT]FMP][[OOOMT]FMP[[OOOOMT]FMP[[OO
NRT[MDN^PW]QNRT[MDN^PW]QNRT[MDN^PW]QNR[MDN^^PW]QNR[DN^^PPW]QNR[N^^PPPW]QNR[N^^PP
PB_VZWTFO\WMPB_VZWTFO\WMPB_ZWTFO\WMPB_ZWTTFO\WMPB_WTTFO\WMPB_WTTFOO\WMPB_WTTFOO\
BPZRZ[IDK_ZIBPZRZ[IDK_ZIBPZR[IDK_ZIBPZR[[IDK_ZIBPZ[[IDK_ZIBPZ[[IDDK_ZIBPZ[[IDDK_
ET_^__[\VEXJET_^__[\VEXJET_^__[\VEXJET_^__[\VEXJET_^__[\VEXJET_^__[\VEXJET_^__[\

                    AA3D - ASCII art stereogram generator

                       "New dimension for ASCII art"

AA-project releases so called technology demo for it's new 3d stereogram
technology (ASCII-3D-2000). It uses well known and popular random dot
stereograms in ASCII ART (try to see above example). This technology will
be soon included into mainstream AA-lib release (planned for new AA-lib 99). 
Code is complettely year 2000 compliant now and unicode support is comming soon!
Separate teams are working at hardware acceleration chips to be released before
year 2000.

FEATURES
========
 o High quality ascii art stereogram rendering
 o Highly configurable
 o User friendly command line interface (including full online help)
 o Year 2000 compliant

DOWNLOAD
========

aa3d-1.0.tar.gz is avilable from AA-project ftp site:
ftp://ftp.ta.jcu.cz/pub/aa/aa3d-1.0.tar.gz

HOMEPAGE
========

http://www.ta.jcu.cz/aa/aa3d

USAGE
=====

Aa3d is stand alone program to convert simple text file 3d maps to stereogram.
Input file should look as above:


                   11111111111111111111111111111111111
                   11111111111111111111111111111111111
                   11112222222222222222222222222211111
                   11112222222222222222222222222211111
                   11112222222222222222222222222211111
                   11112222233333333333333322222211111
                   11112222233333333333333322222211111
                   11112222233333333333333322222211111
                   11112222233333333333333322222211111
                   11112222233333333333333322222211111
                   11112222233333333333333322222211111
                   11112222233333333333333322222211111
                   11112222222222222222222222222211111
                   11112222222222222222222222222211111
                   11112222222222222222222222222211111
                   11111111111111111111111111111111111
                   11111111111111111111111111111111111

And result of ``aa3d <pyramid'' is:

GJTR`KMJN[LSGJTR`KMJN[LSGJTR`KMJN[LSGJTR`KMJN[LSGJTR`KMJN[LSGJTR`KMJN[LSGJTR`KMJ
]KMQ\\SP]UMY]KMQ\\SP]UMY]KMQ\\SPUMY]KMQ\\SPUMY]KMQ\\SPUMY]KMQ\\SPUMMY]KMQ\\SPUMM
ER_J]KUMS\QPER_J]KUMS\QPER_J]KUM\QPER_J]KUM\QPER_J]KUM\QPER_J]KUM\QQPER_J]KUM\QQ
CQE_PSVJ^COJCQE_PSVJ^COJCQE_PSVJCOJCE_PSVJCOJCE_PSVJCOJCE_PSVJJCOJCCE_PSVJJCOJCC
HTXZQDDUTZUXHTXZQDDUTZUXHTXZQDDUZUXHXZQDDUZUXHXZQDDUZUXHXZQDDUUZUXHHXZQDDUUZUXHH
EYZIHVFQ[K`CEYZIHVFQ[K`CEYZIHVFQK`CEZIHVFQK`CEZIHVFQK`CEZIHVFQQK`CEEZIHVFQQK`CEE
EEDHYNWSMFZCEEDHYNWSMFZCEEDHYNWSFZCEDHYNWFZCEDHYNWFZCEDHHYNWFZZCEDHHHYNWFZZCEDHH
ZNFDRGB`JKZVZNFDRGB`JKZVZNFDRGB`KZVZFDRGBKZVZFDRGBKZVZFDDRGBKZZVZFDDDRGBKZZVZFDD
NQAQLHPZQ\X`NQAQLHPZQ\X`NQAQLHPZ\X`NAQLHP\X`NAQLHP\X`NAQQLHP\XX`NAQQQLHP\XX`NAQQ
VRMT^C]XN_TPVRMT^C]XN_TPVRMT^C]X_TPVMT^C]_TPVMT^C]_TPVMTT^C]_TTPVMTTT^C]_TTPVMTT
CNH^N\HYWVQMCNH^N\HYWVQMCNH^N\HYVQMCH^N\HVQMCH^N\HVQMCH^^N\HVQQMCH^^^N\HVQQMCH^^
KJ\A[RN\]WNKKJ\A[RN\]WNKKJ\A[RN\WNKK\A[RNWNKK\A[RNWNKK\AA[RNWNNKK\AAA[RNWNNKK\AA
`YCILI^CE[QU`YCILI^CE[QU`YCILI^C[QU`CILI^[QU`CILI^[QU`CIILI^[QQU`CIIILI^[QQU`CII
UBIKIDP^E[ZMUBIKIDP^E[ZMUBIKIDP^[ZMUIKIDP^[ZMUIKIDP^[ZMUIKIDP^^[ZMUUIKIDP^^[ZMUU
E^\CLHAQBGEDE^\CLHAQBGEDE^\CLHAQGEDE\CLHAQGEDE\CLHAQGEDE\CLHAQQGEDEE\CLHAQQGEDEE
JYB_V_B`LP_RJYB_V_B`LP_RJYB_V_B`P_RJB_V_B`P_RJB_V_B`P_RJB_V_B``P_RJJB_V_B``P_RJJ
NCLD`^KRCE[]NCLD`^KRCE[]NCLD`^KRE[]NCLD`^KRE[]NCLD`^KRE[]NCLD`^KRE[[]NCLD`^KRE[[
]L[\[Z`EFM[[]L[\[Z`EFM[[]L[\[Z`EM[[]L[\[Z`EM[[]L[\[Z`EM[[]L[\[Z`EM[[[]L[\[Z`EM[[
HTHE\JXLNQLGHTHE\JXLNQLGHTHE\JXLNQLGHTHE\JXLNQLGHTHE\JXLNQLGHTHE\JXLNQLGHTHE\JXL

Following options are available:

Options:
-w width   Image width (80)
-s step    Size of repeating seqence (12)
-t text    Text used to generate background
-r         Disable random text placement
-f file    Use file as input for raster
-d         Use digits instead of letters


AA-Project
==========

                               dT8  8Tb
                              dT 8  8 Tb
                             dT  8  8  Tb
                          <PROJECT><PROJECT>
                           dT    8  8    Tb
                          dT     8  8     Tb
   
Three goals of AA-Project:

  1. Port all important software (like Doom, Second Reality, X windows
     etc..) on AA-lib.

  2. Port AA-lib on all available platforms (mainly ZX-Spectrum and
     Sharp).

  3. Force IBM to start manufacturing MDA cards again.

   AA-project was started by Jan Hubicka. In that times just a few
people knew about it. Then a new demo named BB has been relased to show
the power of AA-lib technology. Now the project is freely available and
anyone can help.

Where to find AA3d
==================

   Just join our mailing list: `aa@horac.ta.jcu.cz'. Send:
subscribe aa
to majordomo@horac.ta.jcu.cz

   All programs covered under AA-project can be obtained at
`ftp://ftp.ta.jcu.cz://pub/aa'.

   Or just browse our homepage at `http://www.ta.jcu.cz://aa'. A ton of
examples of ascii-art generated by aalib, pointers to other AA-Project
resources etc.
